function plot_nn_regression(func,neural_net,Xn,Yn)

%Original function simulation
Xr = linspace(-2,2,500);
Yr = feval(func,Xr,0);

%Neural network simulation
Xe = Xr;
Ye = neural_net(Xe);


%% Plotting results
figure();
plot(Xr,Yr); % Original function
hold on;
plot(Xe,Ye,'r') % Neural network function
plot(Xn,Yn,'ko') % Training set

ylim([-1.5 3]);
legend('y-\eta','f(\theta,x)', 'Z_N');
xlabel('x');
ylabel('y');
